<template>

  <router-view></router-view>

</template>

<script>
import { mapActions } from 'vuex'
export default {
    methods: {
        ...mapActions({
            authentication: 'authentication',
        })
    },
    watch: {
        '$route' (to, from) {
            this.authentication()
        }
    },
    created() {
        this.authentication()
    }
}
</script>